* Initialize
global datapath 		"C:\Users\tx8\Dropbox\Stability Ambiguity Aversion\Submissions\JOEP\Data\"
clear 

cd "$datapath"

use labdata_sep_nov_jan.dta,clear

drop if platznummer==.


egen consP_samecond = rowmean(consP_PP consP_PF consP_FF) 
replace  consP_samecond=. if   consP_PP==.|consP_PF==.| consP_FF==.

egen consP_samecond_nodelay = rowmean(consP_PP consP_FF) 
replace  consP_samecond_nodelay=. if   consP_PP==.| consP_FF==.

egen consP_samecond_delay = rowmean(consP_PF) 
replace  consP_samecond_delay=. if   consP_PF==.


replace consP_PP_PF=. if AP_urnePP1==.|AP_urnePP2==.|AP_urnePF1==.|AP_urnePF2==.|AP_urne5==.|AP_urne6==.
replace consP_PP_FF=. if AP_urnePP1==.|AP_urnePP2==.|AP_urnePF1==.|AP_urnePF2==.|AP_urne5==.|AP_urne6==.
replace consP_PF_FF=. if AP_urnePP1==.|AP_urnePP2==.|AP_urnePF1==.|AP_urnePF2==.|AP_urne5==.|AP_urne6==.


keep consP* rem* hl*
save labdata_nonpara.dta, replace

*cd "$datapath"
use labdata_sep_nov_jan.dta,clear

keep if platznummer==.
keep consP* hl*
drop consP_PP consP_PP_FF 

egen consP_PP_FF = rowmean(consP_1_3 consP_1_4 consP_2_3 consP_2_4) 
replace  consP_PP_FF=. if  consP_1_3==.| consP_1_4 ==.|consP_2_3==.| consP_2_4==.

rename consP_1_2 consP_PP
rename consP_3_4 consP_Pbar

egen consP_samecond = rowmean(consP_PP consP_Pbar) 
replace  consP_samecond=. if   consP_PP==.|consP_Pbar==.
gen consP_samecond_nodelay=consP_samecond

gen coin=1

append using labdata_nonpara.dta, 
erase labdata_nonpara.dta
replace coin=0 if coin==.

gen consP_10min=.
replace consP_10min=consP_PP_FF if coin==1

gen consP_2mon=.
replace consP_2mon=consP_PP_FF if coin==0

gen cons_hl=(abs(hl2-hl1)<2) if hl2!=.&hl1!=.
label variable cons_hl "1 if stable Risk prefs"
replace cons_hl=. if hl2==.|hl1==.

gen old=1

******prepare data
*normal
gen test_2mon_btb=consP_2mon
*then copy below: consP_samecond_nodel 

gen test_2mon_10min=consP_2mon
*then copy below: consP_10min

gen test_10m_btb=consP_10min
*then copy below: consP_samecond_nodel 

***delay
gen test_2mon_btb_del=consP_PF_FF
*then copy below: consP_samecond_del 

gen test_2mon_10min_del=consP_PF_FF
*then copy below: consP_PP_PF

gen test_10m_btb_del=consP_PP_PF
*then copy below: consP_samecond_del 

****across payment types
gen test_2mon_2mon_del=consP_2mon
*then copy below: consP_PF_FF

gen test_btb_btb_del=consP_samecond_del
*then copy below: consP_samecond_nodel

replace old=0 if old==.
save labdata_sep_nov_jan_prep_paper.dta, replace
use labdata_sep_nov_jan_prep_paper.dta


****perform tests
ttest test_2mon_btb, by(old)
ranksum test_2mon_btb, by(old)

ttest test_2mon_10min, by(old)
ranksum test_2mon_10min, by(old)

ttest test_10m_btb, by(old)
ranksum test_10m_btb, by(old)

ttest test_2mon_btb_del, by(old)
ranksum test_2mon_btb_del, by(old)

ttest test_2mon_10min_del, by(old)
ranksum test_2mon_10min_del, by(old)

ttest test_10m_btb_del, by(old)
ranksum test_10m_btb_del, by(old)

ttest test_2mon_2mon_del, by(old)
ranksum test_2mon_2mon_del, by(old)

ttest test_btb_btb_del, by(old)
ranksum test_btb_btb_del, by(old)

*10) 2months
ttest consP_PP_FF, by(rem_allPF)
ranksum consP_PP_FF, by(rem_allPF)
ttest consP_2mon, by(rem_allPF)
ranksum consP_2mon, by(rem_allPF)

*9) 2months-delay
ttest consP_PF_FF, by(rem_allPF)
ranksum consP_PF_FF, by(rem_allPF)



***relevant tests paper JOEP******************

****normal payment
*6) 2months vs backtoback
ttest consP_PP_FF = consP_samecond_nodel 
signrank  consP_PP_FF = consP_samecond_nodel 


****with coin
* 10min vs 2 months
ranksum consP_PP_FF, by(coin)
ttest consP_PP_FF, by(coin)

* 10min vs backtoback
gen cons_10min=consP_samecond_nodel if coin==0
replace cons_10min=consP_PP_FF if coin==1
ttest cons_10min, by(coin)
ranksum cons_10min, by(coin)

****delayed payment
*2) 2months-delay vs 10 minutes-delay
ttest  consP_PF_FF = consP_PP_PF
signrank  consP_PF_FF = consP_PP_PF

*3) 2months-delay vs backtoback-delay
ttest  consP_PF_FF = consP_samecond_del
signrank  consP_PF_FF = consP_samecond_del

*7)10Min-delay vs backtoback-delay
ttest  consP_PP_PF = consP_samecond_del
signrank  consP_PP_PF = consP_samecond_del


****across payment types
*1) 2months-delay vs 2months
ttest  consP_PF_FF = consP_PP_FF
signrank  consP_PF_FF = consP_PP_FF
*neu) backtoback vs backtoback-delay
ttest  consP_samecond_del = consP_samecond_nodel
signrank  consP_samecond_del = consP_samecond_nodel


***memory test

*10) 2months
ranksum consP_PP_FF, by(rem_allPF)

*9) 2months-delay
ranksum consP_PF_FF, by(rem_allPF)

*11) backtoback
ranksum consP_samecond_nodel, by(rem_allPF)	

*12) backtoback-delay
ranksum consP_samecond_del, by(rem_allPF)	


***risk
*risk: 2months vs backtoback
ttest cons_hl, by(coin)
ranksum cons_hl, by(coin)

*amb vs risk: 2months
ttest consP_2mon=cons_hl
signrank consP_2mon=cons_hl

*amb vs risk: backtoback
gen riskvsamb=cons_hl
replace riskvsamb=consP_samecond_nodel if coin==0
ttest riskvsamb, by(coin)
ranksum riskvsamb, by(coin)

*unpaired
replace old=0 if old==.
ranksum consP_samecond, by(old)
ranksum consP_2mon, by(old)
