* Initialize
global datapath 		"C:\Users\tx8\Dropbox\Stability Ambiguity Aversion\Submissions\JOEP\Data"

cd "$datapath"
use labdata_sep_nov_jan.dta,clear

drop if platznummer==.


egen consP_samecond = rowmean(consP_PP consP_PF consP_FF) 
replace  consP_samecond=. if   consP_PP==.|consP_PF==.| consP_FF==.

egen consP_samecond_nodelay = rowmean(consP_PP consP_FF) 
replace  consP_samecond_nodelay=. if   consP_PP==.| consP_FF==.

egen consP_samecond_delay = rowmean(consP_PF) 
replace  consP_samecond_delay=. if   consP_PF==.


replace consP_PP_PF=. if AP_urnePP1==.|AP_urnePP2==.|AP_urnePF1==.|AP_urnePF2==.|AP_urne5==.|AP_urne6==.
replace consP_PP_FF=. if AP_urnePP1==.|AP_urnePP2==.|AP_urnePF1==.|AP_urnePF2==.|AP_urne5==.|AP_urne6==.
replace consP_PF_FF=. if AP_urnePP1==.|AP_urnePP2==.|AP_urnePF1==.|AP_urnePF2==.|AP_urne5==.|AP_urne6==.


keep consP* rem* hl*
save labdata_nonpara.dta, replace

*cd "$datapath"
use labdata_sep_nov_jan.dta,clear

keep if platznummer==.
keep consP* hl*
drop consP_PP consP_PP_FF 

egen consP_PP_FF = rowmean(consP_1_3 consP_1_4 consP_2_3 consP_2_4) 
replace  consP_PP_FF=. if  consP_1_3==.| consP_1_4 ==.|consP_2_3==.| consP_2_4==.

rename consP_1_2 consP_PP
rename consP_3_4 consP_Pbar

egen consP_samecond = rowmean(consP_PP consP_Pbar) 
replace  consP_samecond=. if   consP_PP==.|consP_Pbar==.
gen consP_samecond_nodelay=consP_samecond

gen coin=1

append using labdata_nonpara.dta, 
erase labdata_nonpara.dta
replace coin=0 if coin==.

gen consP_10min=.
replace consP_10min=consP_PP_FF if coin==1

gen consP_2mon=.
replace consP_2mon=consP_PP_FF if coin==0

gen old=1

gen cons_hl=(abs(hl2-hl1)<2) if hl2!=.&hl1!=.
label variable cons_hl "1 if stable Risk prefs"
replace cons_hl=. if hl2==.|hl1==.

***save dataset for submission
save labdata_fin.dta, replace

***relevant tests in the paper******************

****normal payment
*6) 2months vs backtoback
ttest consP_PP_FF = consP_samecond_nodel 
signrank  consP_PP_FF = consP_samecond_nodel 


****with coin
* 10min vs 2 months
ranksum consP_PP_FF, by(coin)
ttest consP_PP_FF, by(coin)

* 10min vs backtoback
gen cons_10min=consP_samecond_nodel if coin==0
replace cons_10min=consP_PP_FF if coin==1
ttest cons_10min, by(coin)
ranksum cons_10min, by(coin)

****delayed payment
*2) 2months-delay vs 10 minutes-delay
ttest  consP_PF_FF = consP_PP_PF
signrank  consP_PF_FF = consP_PP_PF

*3) 2months-delay vs backtoback-delay
ttest  consP_PF_FF = consP_samecond_del
signrank  consP_PF_FF = consP_samecond_del

*7)10Min-delay vs backtoback-delay
ttest  consP_PP_PF = consP_samecond_del
signrank  consP_PP_PF = consP_samecond_del


****across payment types
*1) 2months-delay vs 2months
ttest  consP_PF_FF = consP_PP_FF
signrank  consP_PF_FF = consP_PP_FF
*neu) backtoback vs backtoback-delay
ttest  consP_samecond_del = consP_samecond_nodel
signrank  consP_samecond_del = consP_samecond_nodel


***memory test

*10) 2months
ranksum consP_PP_FF, by(rem_allPF)

*9) 2months-delay
ranksum consP_PF_FF, by(rem_allPF)

*11) backtoback
ranksum consP_samecond_nodel, by(rem_allPF)	

*12) backtoback-delay
ranksum consP_samecond_del, by(rem_allPF)	


***risk

ranksum cons_hl, by(coin)

 

// Goodness of fit test for 37.5%
drop if coin==1
csgof consP_samecond , expperc(24.4 43.9 26.4 5.3)

drop if rem_allPF==1
csgof consP_PF_FF, expperc(24.4 43.9 26.4 5.3)
csgof consP_PP_FF, expperc(24.4 43.9 26.4 5.3)
csgof consP_PP_PF, expperc(24.4 43.9 26.4 5.3)


cd "$datapath"
use labdata_sep_nov_jan.dta,clear


* Testing consistency over 4 urns
ranksum consP_tot_noPF, by (coin) // all subjects -> Independence
ranksum consP_tot_noPF, by (rem_allPF) // only January subjects
* generate a new indentifier. Pooling single session subjects and subjects who recall. We do expect a difference.
gen short=0
replace short=1 if coin==1
replace short=1 if rem_allPF==1
ranksum consP_tot_noPF, by (short)

* DEMOGRAPHICS


cd "$datapath"
use labdata_sep_nov_jan.dta,clear
gen cons_all=0 if (AP_urne2!=.&AP_urne1!=.&AP_urne3!=.&AP_urne4!=.)&coin==1
replace cons_all=0 if (AP_urne2!=.&AP_urne1!=.&AP_urne3!=.&AP_urne4!=.&AP_urne5!=.&AP_urne6!=.)&coin==0

replace cons_all=1 if (AP_urne1==AP_urne2&AP_urne1==AP_urne3&AP_urne3==AP_urne4&AP_urne4==AP_urne5&AP_urne5==AP_urne6) & cons_all!=.&coin==0
replace cons_all=1 if (AP_urne1==AP_urne2&AP_urne1==AP_urne3&AP_urne3==AP_urne4) & cons_tot!=.&coin==1

bysort coin: sum cons_all
bysort rem_allPF: sum cons_all


cd "$datapath"
use labdata_sep_nov_jan.dta,clear

duplicates drop Id , force

sum male student econmajor semester game statistics height
sum hl1
sum discount
sum rem_*
bysort coin: sum cons*


clear


cd "$datapath"
use stacked_labdata.dta, clear

tab AP
clear


cd "$datapath"
use cons_stacked_labdata.dta,clear
sum cons
bysort coin: sum cons
*sum cons_tot
clear




* Binomial tests

cd "$datapath"
use labdata_sep_nov_jan.dta,clear

global consvars consP_1_2 consP_1_2_4 consP_1_3 consP_1_4 consP_2_3 consP_2_4 consP_3_4 consP_FF consP_PF consP_PF1_FF1 consP_PF1_FF2 consP_PF2_FF1 consP_PF2_FF2 consP_PF3_FF3 consP_PP1_FF1 consP_PP1_FF2 consP_PP1_PF1 consP_PP1_PF2 consP_PP2_FF1 consP_PP2_FF2 consP_PP2_PF1 consP_PP2_PF2 consP_PP3_FF3 consP_PP3_PF3 
global cons2vars consP_PP_FF consP_PP_PF consP_PF_FF consP_PP 

foreach i in $consvars{
bitest `i'==0.375
}
foreach i in $cons2vars{
signrank `i'=0.375 //Wilcoxocon sign rank test
}


cd "$datapath"
use cons_stacked_labdata.dta,clear


bitest cons==0.375

 forvalues i = 1(1)18 {
 display "`i'"
 bitest cons==0.375 if comparison_`i'==1
 display "`i' und rem=1"
  bitest cons==0.375 if comparison_`i'==1&rem_allPF==1
  display "`i' und rem=0"
  bitest cons==0.375 if comparison_`i'==1&rem_allPF==0 
  
 }
bitest cons==0.375 if comparison_18==1 //Test lowest subgroup
bitest cons==0.375 if comparison_2==1 //Test lowest subgroup
bitest cons==0.375 if comparison_3==1 //Test lowest subgroup
bitest cons==0.375 if comparison_5==1 //Test lowest subgroup
bitest cons==0.375 if comparison_6==1 //Test lowest subgroup

mean cons if comparison_18==1 
mean cons if comparison_2==1 
mean cons if comparison_3==1 
mean cons if comparison_5==1 
mean cons if comparison_6==1 



cd "$datapath"
use labdata_sep_nov_jan.dta,clear


* These are the tests for the other "random value" 
* Idea: Consider draws (not as above from a uniform but) from the empirical dsitribution
* This is AL 0.099, AN 0.527, AA 0.374
* Prob for to indetical draws: Pr=0.099^2+0.537^2+0.374^2=0.4274

replace consP_PP_PF=. if AP_urnePP1==.|AP_urnePP2==.|AP_urnePF1==.|AP_urnePF2==.|AP_urne5==.|AP_urne6==.
replace consP_PP_FF=. if AP_urnePP1==.|AP_urnePP2==.|AP_urnePF1==.|AP_urnePF2==.|AP_urne5==.|AP_urne6==.
replace consP_PF_FF=. if AP_urnePP1==.|AP_urnePP2==.|AP_urnePF1==.|AP_urnePF2==.|AP_urne5==.|AP_urne6==.

global consvars consP_1_2 consP_1_2_4 consP_1_3 consP_1_4 consP_2_3 consP_2_4 consP_3_4 consP_FF consP_PF consP_PF1_FF1 consP_PF1_FF2 consP_PF2_FF1 consP_PF2_FF2 consP_PF3_FF3 consP_PP1_FF1 consP_PP1_FF2 consP_PP1_PF1 consP_PP1_PF2 consP_PP2_FF1 consP_PP2_FF2 consP_PP2_PF1 consP_PP2_PF2 consP_PP3_FF3 consP_PP3_PF3 
global cons2vars consP_PP_FF consP_PP_PF consP_PF_FF consP_PP 
global consPF_F consP_PF1_FF1 consP_PF1_FF2 consP_PF2_FF1 consP_PF2_FF2


foreach i in $consvars{
bitest `i'==0.4274
}
foreach i in $cons2vars{
signrank `i'=0.4274
}

foreach i in $consPF_F{
bitest `i'==0.4274
}

// Goodness of fit test for 37.5%
csgof consP_PP_PF, expperc(19.5 25 48.4 7)
csgof consP_PP_FF, expperc(19.5 25 48.4 7)
csgof consP_PF_FF, expperc(19.5 25 48.4 7)
 

// Goodness of fit test for 42.74%
csgof consP_PP_PF, expperc(16.4 15.6 58.3 9.7 )
csgof consP_PP_FF, expperc(16.4 15.6 58.3 9.7 )
csgof consP_PF_FF, expperc(16.4 15.6 58.3 9.7 )


cd "$datapath"
use cons_stacked_labdata.dta,clear


bitest cons==0.4274

 forvalues i = 1(1)18 {
 display "`i'"
 mean cons if comparison_`i'==1
 bitest cons==0.4274 if comparison_`i'==1
 display "`i' und rem=1"
 mean cons if comparison_`i'==1&rem_allPF==1
 bitest cons==0.4274 if comparison_`i'==1&rem_allPF==1
 display "`i' und rem=0"
 mean cons if comparison_`i'==1&rem_allPF==0
 bitest cons==0.4274 if comparison_`i'==1&rem_allPF==0 
  
 }
mean cons if comparison_18==1 
mean cons if comparison_2==1 
mean cons if comparison_3==1 
mean cons if comparison_5==1 
mean cons if comparison_6==1 

bitest cons==0.4274 if comparison_18==1 //Test lowest subgroup
bitest cons==0.4274 if comparison_2==1 //Test lowest subgroup
bitest cons==0.4274 if comparison_3==1 //Test lowest subgroup
bitest cons==0.4274 if comparison_5==1 //Test lowest subgroup
bitest cons==0.4274 if comparison_6==1 //Test lowest subgroup

bitest cons==0.4274 if comparison_12==1 //Test lowest subgroup P2 F1
bitest cons==0.4274 if comparison_13==1 //Test lowest subgroup P2 F2
bitest cons==0.4274 if comparison_7==1 //Test lowest subgroup P1 F1
bitest cons==0.4274 if comparison_8==1 //Test lowest subgroup P1 F2


