* Initialize
global datapath 		"C:\Users\tx8\Dropbox\Stability Ambiguity Aversion\Submissions\JOEP\Data\"


* Consistency regressions**************************************************************
clear 

cd "$datapath"
use cons_stacked_labdata.dta,clear

gen quant=( game==1| statistics==1|  econometrics==1) if ( game!=.& statistics!=.&  econometrics!=.)

gen short=(randomization==.)
replace randomization=0 if randomization==.

gen remtest=((coin==0&rem_allPF==1)|(coin==1&rem_allPF==.))

gen PP_PF = comparison_16
gen PF_FF = comparison_18
gen PP_FF = comparison_17

gen hl_cr=hl1
gen hl_cr_d=0
replace hl_cr_d=1 if hl1==.
replace hl_cr=0 if hl1==.

rename PP_FF T_2months
rename PF_FF T_2months_delay
rename coin T_10mins
rename PP_PF T_10mins_delay

gen delay=(comparison=="PF1-PF2")

replace T_10mins=0 if comparison=="Fs1-Fs2"
replace T_10mins=0 if comparison=="Ps1-Ps2"
gen samesituation_short=(comparison=="Fs1-Fs2"|comparison=="Ps1-Ps2")
gen samesituation_delay=samesituation*delay
gen samesituation_nodelay=samesituation*(1-delay)

gen remtestxT_10mins = remtest * T_10mins
gen badremtestxT_10mins = (1-remtest) * T_10mins
gen remtestxT_10mins_d = remtest * T_10mins_d
gen badremtestxT_10mins_d = (1-remtest) * T_10mins_d
gen remtestxT_2months_del = remtest * T_2months_del
gen badremtestxT_2months_del = (1-remtest) * T_2months_del
gen remtestxT_2months = remtest * T_2months
gen badremtestxT_2months = (1-remtest) * T_2months
gen remtestxsamesit= remtest * samesituation
gen badremtestxsamesit= (1-remtest) * samesituation
gen remtestxsamesit_nodel= remtest * samesituation_nodelay
gen badremtestxsamesit_nodel= (1-remtest) * samesituation_nodelay
gen remtestxsamesit_del= remtest * samesituation_delay
gen badremtestxsamesit_del= (1-remtest) * samesituation_delay

*save data file for submission
save cons_stacked_labdata_fin.dta, replace

*******Figure 2*********

sum cons if T_2months==1
sum cons if T_10mins==1
sum cons if samesituation_nodelay==1
sum cons if remtestxT_2months
sum cons if badremtestxT_2months

sum cons if T_2months_d==1
sum cons if T_10mins_d==1
sum cons if samesituation_delay==1
sum cons if remtestxT_2months_del
sum cons if badremtestxT_2months_del

***additional
sum cons if remtestxsamesit_nodel
sum cons if badremtestxsamesit_nodel
sum cons if remtestxT_10mins
sum cons if badremtestxT_10mins

sum cons if remtestxT_10mins_d
sum cons if badremtestxT_10mins_d
sum cons if remtestxsamesit_del
sum cons if badremtestxsamesit_del



******without short btb (in the paper)*******************************************

*  model(1)
probit cons T_2months T_2months_delay T_10mins T_10mins_delay ident samesituation_delay if (short==0|samesituation_nodel==0),  cluster(Id)
*probit cons T_2months_delay T_10mins T_10mins_delay samesituation,  cluster(Id)
test T_2months==T_2months_d
test T_2months==T_10mins
test T_2months==T_10mins_d
test T_2months==samesituation_d
test T_2months_d==T_10mins
test T_2months_d==T_10mins_d
test T_2months_d==samesituation_d
test T_10mins==T_10mins_d
test T_10mins==samesituation_d
test T_10mins_d==samesituation_d
outreg2 using cons_ex_interaction_2016_noshortbtb.doc, replace auto(2) alpha(0.001, 0.01, 0.05) addstat(Pseudo R-squared, `e(r2_p)')

*  model(2)
probit cons T_2months T_2months_delay T_10mins T_10mins_delay ident randomization hl_cr_d hl_cr yearofbirth male semester game econmajor statistics econometrics height lkt_mean  paytochange_mean samesituation_delay  if (short==0|samesituation_nodel==0), cluster(Id)
test T_2months==T_2months_d
test T_2months==T_10mins
test T_2months==T_10mins_d
test T_2months==samesituation_d
test T_2months_d==T_10mins
test T_2months_d==T_10mins_d
test T_2months_d==samesituation_d
test T_10mins==T_10mins_d
test T_10mins==samesituation_d
test T_10mins_d==samesituation_d
outreg2 using cons_ex_interaction_2016_noshortbtb.doc, append auto(2) alpha(0.001, 0.01, 0.05) addstat(Pseudo R-squared, `e(r2_p)')

*  model(3)
reg cons T_2months T_2months_delay T_10mins T_10mins_delay  ident samesituation_delay  if (short==0|samesituation_nodel==0), cluster(Id)
test T_2months==T_2months_d
test T_2months==T_10mins
test T_2months==T_10mins_d
test T_2months==samesituation_d
test T_2months_d==T_10mins
test T_2months_d==T_10mins_d
test T_2months_d==samesituation_d
test T_10mins==T_10mins_d
test T_10mins==samesituation_d
test T_10mins_d==samesituation_d
outreg2 using cons_ex_interaction_2016_noshortbtb.doc, append auto(2) alpha(0.001, 0.01, 0.05) adjr2

estat vif // see manual p. 1738 (estat vif) based on Chatterjee Hadi. 2006, Regression Analysis by example, p. 238
* modest evidence for multikolinearity, rule-of-thumb: 1. no vif>10, ok, 2. mean vif!>>1 ok
estat vif, uncentered

*  model(4)
reg cons T_2months T_2months_delay T_10mins T_10mins_delay ident  randomization hl_cr_d hl_cr yearofbirth male semester game econmajor statistics econometrics height lkt_mean  paytochange_mean samesituation_delay  if (short==0|samesituation_nodel==0), cluster(Id)
*reg cons T_2months_delay T_10mins T_10mins_delay samesituation ident  randomization hl_cr_d hl_cr yearofbirth male semester game econmajor statistics econometrics height lkt_mean  paytochange_mean , cluster(Id)
test T_2months==T_2months_d
test T_2months==T_10mins
test T_2months==T_10mins_d
test T_2months==samesituation_d
test T_2months_d==T_10mins
test T_2months_d==T_10mins_d
test T_2months_d==samesituation_d
test T_10mins==T_10mins_d
test T_10mins==samesituation_d
test T_10mins_d==samesituation_d
outreg2 using cons_ex_interaction_2016_noshortbtb.doc, append auto(2) alpha(0.001, 0.01, 0.05) adjr2

estat vif // see manual p. 1738 (estat vif) based on Chatterjee Hadi. 2006, Regression Analysis by example, p. 238
* modest evidence for multikolinearity, rule-of-thumb: 1. no vif>10, ok, 2. mean vif!>>1 ok
estat vif, uncentered


*  model(5)
probit cons T_2months T_2months_delay T_10mins T_10mins_delay remtestxT_2months remtestxT_2months_d remtestxT_10mins_d remtestxsamesit_nodel ident samesituation_delay remtestxsamesit_del if short==0, cluster(Id) 
test T_2months==T_2months_d
test T_2months==T_10mins_d
test T_2months==samesituation_d
test T_2months_d==T_10mins_d
test T_2months_d==samesituation_d
test T_10mins_d==samesituation_d
test T_2months+remtestxT_2months==0
test T_2months_d+remtestxT_2months_d==0
test T_10mins_d+remtestxT_10mins_d==0
test samesituation_d+remtestxsamesit_d==0
test remtestxT_2months= remtestxT_2months_d
test remtestxT_2months= remtestxT_10mins_d
test remtestxT_2months= remtestxsamesit_nodel
test remtestxT_2months= remtestxsamesit_del
test remtestxT_2months_d= remtestxT_10mins_d
test remtestxT_2months_d= remtestxsamesit_nodel
test remtestxT_2months_d= remtestxsamesit_del
test remtestxT_10mins_d= remtestxsamesit_nodel
test remtestxT_10mins_d= remtestxsamesit_del
test remtestxsamesit_nodel= remtestxsamesit_del
outreg2 using cons_ex_interaction_2016_noshortbtb.doc, append auto(2) alpha(0.001, 0.01, 0.05) addstat(Pseudo R-squared, `e(r2_p)')

reg cons T_2months T_2months_delay T_10mins T_10mins_delay remtestxT_2months remtestxT_2months_d remtestxT_10mins_d remtestxsamesit_nodel ident samesituation_delay remtestxsamesit_del if short==0, cluster(Id) 
estat vif // see manual p. 1738 (estat vif) based on Chatterjee Hadi. 2006, Regression Analysis by example, p. 238
* modest evidence for multikolinearity, rule-of-thumb: 1. no vif>10, ok, 2. mean vif!>>1 ok
estat vif, uncentered
test _b[T_2months]+_cons==0.375


*  model(6)
probit cons T_2months T_2months_delay T_10mins T_10mins_delay remtestxT_2months remtestxT_2months_d remtestxT_10mins_d ident  samesituation_delay remtestxsamesit_nodel remtestxsamesit_del randomization hl_cr_d hl_cr yearofbirth male semester game econmajor statistics econometrics height lkt_mean  paytochange_mean  if short==0, cluster(Id) 
test T_2months==T_2months_d
test T_2months==T_10mins_d
test T_2months==samesituation_d
test T_2months_d==T_10mins_d
test T_2months_d==samesituation_d
test T_10mins_d==samesituation_d
test T_2months+remtestxT_2months==0
test T_2months_d+remtestxT_2months_d==0
test T_10mins_d+remtestxT_10mins_d==0
test samesituation_d+remtestxsamesit_d==0
test remtestxT_2months= remtestxT_2months_d
test remtestxT_2months= remtestxT_10mins_d
test remtestxT_2months= remtestxsamesit_nodel
test remtestxT_2months= remtestxsamesit_del
test remtestxT_2months_d= remtestxT_10mins_d
test remtestxT_2months_d= remtestxsamesit_nodel
test remtestxT_2months_d= remtestxsamesit_del
test remtestxT_10mins_d= remtestxsamesit_nodel
test remtestxT_10mins_d= remtestxsamesit_del
test remtestxsamesit_nodel= remtestxsamesit_del
outreg2 using cons_ex_interaction_2016_noshortbtb.doc, append auto(2) alpha(0.001, 0.01, 0.05) addstat(Pseudo R-squared, `e(r2_p)')

