* Initialize

global datapath 		"C:\Users\tx8\Dropbox\Stability Ambiguity Aversion\Submissions\JOEP\Data"

cd "$datapath"
use labdata_sep_nov_jan.dta,clear


forvalues i = 1(1)10 {


use labdata_sep_nov_jan.dta,clear

gen prize1= 3.85
gen prize2=0.1
gen prize3=2
gen prize4=1.6

gen choices=0
replace choices=1 if hl1>`i'

gen HLline= `i'
gen p1left=`i'/10
gen p2left=1-p1left
gen p1right=p1left
gen p2right=p2left

save line`i'.dta, replace
clear
}


use line1.dta

forvalues i = 2(1)10 {

append using line`i'.dta
}

gen nov=0

save line1.dta, replace

 * merge in november labdata
 use labdata_sep_nov_jan.dta,clear


forvalues i = 1(1)10 {


use labdata_sep_nov_jan.dta,clear

gen prize1= 3.85
gen prize2=0.1
gen prize3=2
gen prize4=1.6

gen choices=0
replace choices=1 if hl2>`i'

gen HLline= `i'
gen p1left=`i'/10
gen p2left=1-p1left
gen p1right=p1left
gen p2right=p2left

save line2`i'.dta, replace
clear
}


use line21.dta

forvalues i = 2(1)10 {

append using line2`i'.dta
}




gen nov=1



append using line1.dta








drop if coin==1
drop if hl1==.
drop if hl2==.

tabulate Id, gen(Id__)

* strucutral estimation

program define ML_eut0
* specify the arguments of this program
args lnf r


* declare the temporary variables to be used
tempvar choice prob01l prob02l prob01r prob02r m01 m02 m03 m04 y1 y2 y3 y4 euL euR euDiff


quietly {
* initialize the data
generate int `choice' = $ML_y1

generate double `prob01l' = $ML_y2 //zB 0.1
generate double `prob02l' = $ML_y3 //zB 0.9


generate double `prob01r' = $ML_y4 //zB 0.1
generate double `prob02r' = $ML_y5 //zB 0.9

generate double `m01' = $ML_y6  
generate double `m02' = $ML_y7
generate double `m03' = $ML_y8  
generate double `m04' = $ML_y9


* evaluate the utility function

generate double `y1' = `m01'^`r'
generate double `y2' = `m02'^`r'
generate double `y3' = `m03'^`r'
generate double `y4' = `m04'^`r'



* calculate EU of each lottery
generate double `euL' = (`prob01l'*`y1')+(`prob02l'*`y2')
generate double `euR' = (`prob01r'*`y3')+(`prob02r'*`y4')


* get the Fechner index
generate double `euDiff' = `euR' - `euL'
* evaluate the likelihood
replace `lnf' = ln(normal( `euDiff')) if `choice'==1
replace `lnf' = ln(normal(-`euDiff')) if `choice'==0
}
end


ml model lf ML_eut0 (r: choices p1left p2left p1right p2right prize1 prize2 prize3 prize4 = nov),cluster(Id) technique(nr) maximize 


ml display

****
* Novdata



drop if coin==1
drop if hl1==.
drop if hl2==.


* strucutral estimation

program define ML_eut1
* specify the arguments of this program
args lnf r


* declare the temporary variables to be used
tempvar choice prob01l prob02l prob01r prob02r m01 m02 m03 m04 y1 y2 y3 y4 euL euR euDiff

* please do not display all these steps on the screen, for every ML iteration!
quietly {
* initialize the data
generate int `choice' = $ML_y1

generate double `prob01l' = $ML_y2 //zB 0.1
generate double `prob02l' = $ML_y3 //zB 0.9


generate double `prob01r' = $ML_y4 //zB 0.1
generate double `prob02r' = $ML_y5 //zB 0.9

generate double `m01' = $ML_y6  
generate double `m02' = $ML_y7
generate double `m03' = $ML_y8  
generate double `m04' = $ML_y9


* evaluate the utility function

generate double `y1' = `m01'^`r'
generate double `y2' = `m02'^`r'
generate double `y3' = `m03'^`r'
generate double `y4' = `m04'^`r'


* calculate EU of each lottery
generate double `euL' = (`prob01l'*`y1')+(`prob02l'*`y2')
generate double `euR' = (`prob01r'*`y3')+(`prob02r'*`y4')


* get the Fechner index
generate double `euDiff' = `euR' - `euL'
* evaluate the likelihood
replace `lnf' = ln(normal( `euDiff')) if `choice'==1
replace `lnf' = ln(normal(-`euDiff')) if `choice'==0

}
end


ml model lf ML_eut1 (r: choices p1left p2left p1right p2right prize1 prize2 prize3 prize4 = ),cluster(Id) technique(nr) maximize 
ml display
